<template>
    <div class="sewers-analysis-tab">
        <el-tabs v-model="activeName" type="border-card" @tab-click="handleClick">
            <el-tab-pane label="连通性" name="first">
                <Connectivity></Connectivity>
            </el-tab-pane>
            <el-tab-pane label="爆管" style="color: #cccccc" name="second">
                <Tube></Tube>
            </el-tab-pane>
            <el-tab-pane label="流向" name="third">
                <Flow></Flow>
            </el-tab-pane>
            <el-tab-pane label="横断面" name="fourth">
                <CrossSectional></CrossSectional>
            </el-tab-pane>
        </el-tabs>
    </div>
</template>

<script>
import Connectivity from './analysis-choose/Connectivity'
import Tube from './analysis-choose/Tube'
import Flow from './analysis-choose/Flow'
import CrossSectional from './analysis-choose/CrossSectional'
import eventBus from '../../../../eventBus'

export default {
  name: 'SewersAnalysis',
  components: {
    Connectivity,
    Tube,
    Flow,
    CrossSectional
  },
  data () {
    return {
      // 地图点击类型 first连通性点击  second爆管点击  third流向点击 fourth横断面
      activeName: 'first',
      tableData: false
    }
  },
  methods: {
    // tab切换
    handleClick () {
      eventBus.$emit('tabData-change', true)
    }
  }
}
</script>

<style lang="less" scoped>
    /deep/ .el-tabs .el-tabs__item {
        height: 20px;
        line-height: 20px;
    }

    /deep/ .el-tabs--border-card > .el-tabs__content {
        padding: 5px;
    }

    /deep/ .el-table .has-gutter tr th {
        border: none !important;
    }

    /deep/ .el-table tbody tr:hover > td {
        background: none !important
    }

    /deep/ .el-tabs__header {
        background: none !important;
    }

    /deep/ .fixed-style {
        /*margin: 15px;*/
        font-size: 12px;
        display: inline-block;
        color: #00fff6;
    }

    /deep/ th.is-leaf {
        border: none !important;
    }

    /deep/ .el-table__fixed-right::before, .el-table__fixed::before {
        background: none;
    }

    /deep/ .el-table__empty-text {
        line-height: 170px;
    }

    /deep/ .el-table__body .el-table__row.hover-row td {
        background: none !important;
        color: yellow;
    }

    /deep/ .el-table__body tr.current-row > td {
        background: rgba(0, 16, 30, 1) !important;
    }

    /deep/ .fixed-table {
        background: rgba(0, 16, 30, 1) !important;
    }

    /*scroll右侧占位*/
    /deep/ .el-table__fixed-right-patch {
        display: none;
    }

    /deep/ .el-tab-pane {
        min-height: 506.19px;
    }
</style>
